Retrieve all OIDC Clients
Roles
Analytics Events
/ext/oidc/v1/verifiers/{id}/clientsReturns a list of all OIDC Verifier Clients on the Tenant.
Analytic events
- OIDC_VERIFIER_CLIENT_RETRIEVE_LIST_START
- OIDC_VERIFIER_CLIENT_RETRIEVE_LIST_SUCCESS
- OIDC_VERIFIER_CLIENT_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Path Parameters
Verifier ID
uuidQuery Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/ext/oidc/v1/verifiers/41458e5a-9092-40b7-9a26-d4eb43c5792f/clients"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": {
"id": "da9bb6e4-c9ae-4468-b6ac-72b90d6efd5d",
"secret": "H2epdcmNJ46hXJo5opdzvhbZK9W2ZGPkQh.E",
"name": "OIDC Client for the verifier",
"redirectUris": [
"https://example.com/callback"
],
"responseTypes": [
"code"
],
"grantTypes": [
"authorization_code"
],
"tokenEndpointAuthMethod": "client_secret_post",
"idTokenSignedResponseAlg": "ES256",
"applicationType": "web",
"logoUri": "https://example.com/logo.png"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Configure an OIDC Client POST
Configures an OIDC Verifier Client on your tenant. In order to verify a credential using an OpenID Connect Authorization Code Flow, you need to set up an OIDC Client application. This is the client that will engage with your configured OIDC Verifier to initiate the verification workflow. There is a list of OIDC Client apps, also known as Relying Party Libraries, on the [OpenID website](https://openid.net/developers/certified/). Pick one which you feel comfortable with. <Callout> When dealing with personal identity information it is strongly recommended to follow the Authorization Code Flow which ensures sensitive data is transmitted via the `/token` endpoint back-channel. </Callout> ### **Analytic events** * OIDC_VERIFIER_CLIENT_CREATE_START * OIDC_VERIFIER_CLIENT_CREATE_SUCCESS * OIDC_VERIFIER_CLIENT_CREATE_FAIL
Retrieve an OIDC Client GET
Retrieves an existing OIDC Verifier Client by providing its ID. ### **Analytic events** * OIDC_VERIFIER_CLIENT_RETRIEVE_START * OIDC_VERIFIER_CLIENT_RETRIEVE_SUCCESS * OIDC_VERIFIER_CLIENT_RETRIEVE_FAIL